libsoap-lite-perl (1.10-1) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/control: remove Nicholas Bamber from Uploaders on request of
    the MIA team.

  [ Damyan Ivanov ]
  * Imported Upstream version 1.10
  * remove trailing slash from metacpan URLs

 -- Damyan Ivanov <dmn@debian.org>  Thu, 20 Feb 2014 14:36:28 +0200

libsoap-lite-perl (1.09-1) unstable; urgency=medium

  * Imported Upstream version 1.09
  * drop http-content-type.patch, included upstream

 -- Damyan Ivanov <dmn@debian.org>  Fri, 17 Jan 2014 00:05:15 +0200

libsoap-lite-perl (1.08-1) unstable; urgency=low

  [ Xavier Guimard ]
  * Remove useless build-dep on mail-transport-agent (Closes: #727732)

  [ Florian Schlichting ]
  * Import Upstream version 1.08
    Fixes "libxmlrpc-lite-perl: uninstallable in sid: Breaks:
    libsoap-lite-perl (< 1.08-1) but 0.716-1 is to be installed"
    Closes: #735095
  * Switch order of copyright paragraphs (last match applies)
  * Add Fred Moyer to upstream copyright holders
  * Add (build-)dependencies on modules separated out into their own
    distributions
  * Declare compliance with Debian Policy 3.9.5
  * Drop update-test-plan.patch, perl5.18-test.patch (applied upstream),
    refresh hashref_crash.patch (offset)

  [ Damyan Ivanov ]
  * remove build-dependency on libxmlrpc-lite-perl
  * add patch from Michael Albinus fixing triggering multipart handling in
    HTTP server with certain responses
    Closes: #734470

  [ gregor herrmann ]
  * debian/rules: don't try to fixup XMLRPCsh anymore. The file was
    removed.

  [ Damyan Ivanov ]
  * Break otrs2 versions that don't depend on separate libxml-parser-lite-perl

 -- Damyan Ivanov <dmn@debian.org>  Thu, 16 Jan 2014 18:24:37 +0200

libsoap-lite-perl (0.716-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Xavier Guimard ]
  * Imported Upstream version 0.716
  * Add myself to uploaders and copyright
  * Bump Standards-Version to 3.9.3
  * Update copyright (format 1.0 and years)
  * Report spelling patch on CPAN (#78639)
  * Remove spelling patch now included in upstream
  * Add patch to correct test plan
  * Modify patch hashref_crash.patch: it was rejected by upstream. The new
    patch may really close the bug (Closes: #602056)

  [ gregor herrmann ]
  * Add patch to fix hash randomization caused test failure in perl 5.18.
    (Closes: #710992)
  * Declare compliance with Debian Policy 3.9.4.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Mon, 12 Aug 2013 15:24:53 +0200

libsoap-lite-perl (0.714-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches (offset).

 -- gregor herrmann <gregoa@debian.org>  Mon, 29 Aug 2011 22:51:41 +0200

libsoap-lite-perl (0.713-1) unstable; urgency=low

  * New upstream release, fixes "Client application failed during request
    deserialization" (closes: #596927).
  * Remove 636276-perl5.14.patch, applied upstream; refresh remaining
    patches.

 -- gregor herrmann <gregoa@debian.org>  Wed, 17 Aug 2011 20:29:11 +0200

libsoap-lite-perl (0.712-4) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.

  [ Damyan Ivanov ]
  * add patch fixing tests with Perl 5.14. Taken from
    https://rt.cpan.org/Public/Bug/Display.html?id=68088 (Closes: #636276)
  * refresh spelling.patch to apply cleanly

  [ gregor herrmann ]
  * Set Standards-Version to 3.9.2 (no changes).
  * spelling.patch: add one more fix.

 -- gregor herrmann <gregoa@debian.org>  Tue, 09 Aug 2011 22:36:35 +0200

libsoap-lite-perl (0.712-3) unstable; urgency=low

  [ Nicholas Bamber ]
  * Prepared dependencies for libwww-perl version 6 (Closes: #620481)
  * Simplified dependencies and updated copyright

  [ gregor herrmann ]
  * Switch to debhelper 8.

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sun, 03 Apr 2011 22:59:48 +0100

libsoap-lite-perl (0.712-2) unstable; urgency=low

  [ gregor herrmann ]
  * Remove Conflicts: libsoap-perl.

  [ Nicholas Bamber ]
  * Applying patch to fix hash reference crash (Closes: #602056)
  * Upped standards version to 3.9.1
  * Added myself to Uploaders
  * Refreshed copyright

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Wed, 03 Nov 2010 13:16:38 +0000

libsoap-lite-perl (0.712-1) unstable; urgency=low

  [ Franck Joncourt ]
  * Set t_upstream_spelling.diff patch as forwarded.

  [ Jonathan Yu ]
  * New upstream release

  [ gregor herrmann ]
  * Remove patch t_upstream_spelling.diff, applied upstream.
  * ... except for one spelling mistake. Add a new tiny spelling.patch.

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Jun 2010 14:35:45 +0200

libsoap-lite-perl (0.711-1) unstable; urgency=low

  * New upstream release:
    + Drop BDI and Suggests on libnet-jabber-perl.
    + Lowered (build-)dependency from perl (>= 5.10.1) to perl (>= 5.9.3).
      Requirement on constant 1.14 is dropped.      
  * Refreshed d.copyright to follow DEP5 guideline.
  * Added /me to Uploaders. (Updated both d.control and d.copyright
    accordingly)
  * Switch to dpkg-source 3.0 (quilt) format.
  * Bumped up Standards-Version to 3.8.4 (no changes).
  * Added t_upstream_spelling.diff patch to fix spelling errors in manpages.

 -- Franck Joncourt <franck@debian.org>  Thu, 25 Mar 2010 23:23:45 +0100

libsoap-lite-perl (0.710.10-1) unstable; urgency=low

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ gregor herrmann ]
  * Change source package name to libsoap-lite-perl.

  [ Jonathan Yu ]
  * New upstream release
  * Rename examples -> libsoap-lite-perl.examples
  * Standards-Version 3.8.3 (no changes)
  * Use new short debhelper rules format
  * Slight rewrite to control description
  * Refresh quilt patches & remove those applied upstream

  [ gregor herrmann ]
  * debian/control: Changed: (build-)depend on perl instead of perl-
    modules.
  * Put the whole renaming/hashbang-fixing/... stuff into debian/rules (was
    split between a patch and debian/rules); remove remaining patch and quilt
    framework.
  * Fix hashbang in examples.
  * debian/control: add (build) dependency on libtask-weaken-perl, perl (>=
    5.10.1) (for constant 1.14); add "perl (>= 5.10) | libio-compress-perl" as
    alternative (build) dependencies to libcompress-zlib-perl.
  * debian/rules: explicitly turn off author tests.

 -- gregor herrmann <gregoa@debian.org>  Sat, 14 Nov 2009 18:08:07 +0100

soap-lite (0.710.08-2) unstable; urgency=low

  [ Damyan Ivanov ]
  * drop disabled patches that are included upstream
    + no_service_parameter.diff (since 0.710.08)
    + warnings-redefine.patch (since 0.710.05)
    + fix_xml_parser_lite_from_cvs (since 0.71)
  * add description to all patches
  * add fix-missing-import.diff, fixing missing imports for BAD_REQUEST apache
    constant. Thanks to Erik Anderson. Closes: #509625
  * remove (now unused) debian/lintian-overrides

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).
  * debian/control: Added: ${misc:Depends} to Depends: field.

 -- Damyan Ivanov <dmn@debian.org>  Wed, 24 Dec 2008 22:32:42 +0200

soap-lite (0.710.08-1) unstable; urgency=low

  * New upstream bugfix release
  * refresh makefile_exe_files.diff to apply again
  * update copyright information

 -- Damyan Ivanov <dmn@debian.org>  Tue, 15 Jul 2008 17:05:25 +0300

soap-lite (0.710.07-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control:
    - replace libmime-perl by libmime-tools-perl
    - make dependency on quilt versioned
    - change my email address
    - add 'perl-modules (>= 5.10.0) | libversion-perl' to Depends
      (closes: #485983), thanks to dleonard for the bug report

  [ Damyan Ivanov ]
  * New upstream release
  * strip-down debian/rules with debhelper 7; adjust dh compat level and
    build-dependency accordingly
    + do not install redundant README
  * add myself to Uploaders
  * Standards-Version: 3.8.0
    + add README.source about quilt usage

 -- Damyan Ivanov <dmn@debian.org>  Mon, 23 Jun 2008 13:51:47 +0300

soap-lite (0.710.06-1) unstable; urgency=low

  * New upstream release.

 -- Martín Ferrari <tincho@debian.org>  Fri, 06 Jun 2008 14:32:08 -0300

soap-lite (0.710.05-1) unstable; urgency=low

  [ Martín Ferrari ]
  * New upstream release.
  * debian/control: updated my email address; added dependency on
    "perl-modules (>= 5.10.0) | libversion-perl" as version.pm is now
    required.
  * debian/watch: seems that upstream moved back to CPAN, and they're using
    sane version numbers!
  * debian/control,compat: moved back to debhelper 5, as it seems to be the
    current concensus.
  * debian/patches/series: disable warnings-redefine.patch, already applied
    upstream.

  [ gregor herrmann ]
  * Add lintian overrides for warnings about long lines in manpages which
    are caused by long URLs.
  * Refresh remaining patches.

 -- Martín Ferrari <tincho@debian.org>  Wed, 21 May 2008 21:21:09 -0300

soap-lite (0.71-2) unstable; urgency=low

  * Add patch warnings-redefine.patch to again suppress two harmless
    warnings (closes: #470090).
  * debian/rules: remove obsolete source and diff targets; add install
    target to .PHONY.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Thu, 03 Apr 2008 22:43:59 +0200

soap-lite (0.71-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/watch: make regexp for upstream versions more strict, we don't
    want -1 releases.

  [ Martín Ferrari ]
  * New upstream release.
  * debian/patches: updated patches to apply cleanly, disable patch included
    in new release.
  * 0.70_07 fixed the test failures under perl 5.10, confirmed by my perl10
    chroot (Closes: #467320).
  * debian/control: add libtest-mockobject-perl to B-D-I, to improve tests;
    libtest-pod-coverage-perl is not added, as the tests fail.
  * debian/rules: cleaned a little; touch Makefile before clean, because the
    patching/unpatching dance makes it unhappy.

 -- Martín Ferrari <martin.ferrari@gmail.com>  Tue, 04 Mar 2008 03:30:09 -0200

soap-lite (0.70.04-4) unstable; urgency=medium

  * debian/control: added myself to Uploaders.
  * debian/watch: only scan tarballs, as the ZIP files are PPM bundles.
  * debian/patches/more_tests_to_run.diff: t/40-loopback.t and
    t/27-xmlparserlite.t should be run too.
  * debian/patches/fix_xml_parser_lite_from_cvs: fix lib/XML/Parser/Lite.pm
    brokenness, taken from CVS. Closes: #465198.
  * debian/copyright: updated cp info for lib/XML/Parser/Lite.pm, s/(C)/©/.
  * Urgency set to medium as this will fix two FTBFS (RC) bugs.

 -- Martín Ferrari <martin.ferrari@gmail.com>  Mon, 11 Feb 2008 08:02:25 -0200

soap-lite (0.70.04-3) unstable; urgency=medium

  * Add nullmailer | mail-transport-agent to build dependencies to make
    tests pass (needed by libmime-lite-perl) (closes: #464316).
  * Urgency set to medium because of the FTBFS bug.
  * Add /me to Uploaders.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Wed, 06 Feb 2008 23:35:58 +0100

soap-lite (0.70.04-2) unstable; urgency=low

  [ gregor herrmann ]
  * Move libnet-jabber-perl from Recommends to Suggests, thanks to Josh
    Triplett (closes: #462307).
  * Move libmime-lite-perl from Depends to Suggests, thanks to Josh Triplett
    (closes: #462316).

 -- Roberto C. Sanchez <roberto@debian.org>  Thu, 24 Jan 2008 20:59:49 -0500

soap-lite (0.70.04-1) unstable; urgency=low

  [ gregor herrmann ]
  * New upstream release (closes: #458598).
  * debian/control:
    - added: Vcs-Svn field (source stanza); Vcs-Browser field (source stanza)
    - added: Homepage field (source stanza), using Sourceforge URL
    - removed: XS-Vcs-Svn fields
  * debian/watch:
    - use Sourceforge download URL (more recent than CPAN)
    - use uversionmangle to deal with underlines in upstream version
  * debian/control:
    - set Standards-Version to 3.7.3 (no changes needed)
    - wrap long lines
  * debian/rules:
    - remove compiler flags and variables, this package is arch:all
    - move dh_clean and rm's before make distclean
    - remove /usr/lib/perl5 only if it exists
    - remove unused/commented dh_* calls
    - introduce fix-scripts-stamp to make debian/rules parallel-build-safe
  * Create patch makefile_exe_files.diff instead of changing Makefile.PL
    directly; adding quilt framework accordingly.
  * debian/copyright:
    - add location for recent upstream releases
    - update years of copyright
    - include other copyright holders
    - convert to new format
  * Bump debhelper compatibility level.

 -- Roberto C. Sanchez <roberto@debian.org>  Sat, 12 Jan 2008 23:19:37 -0500

soap-lite (0.69-2) unstable; urgency=low

  * Mention the Debian Perl Group and the upstream URL in debian/copyright,
    thanks to Matej Vela (closes: #430464).
  * Remove libapache-mod-perl from Suggests: in debian/control.
  * Remove duplicate libmime-perl from Build-Depends-Indep in
    debian/control.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Mon, 25 Jun 2007 19:48:09 +0200

soap-lite (0.69-1) unstable; urgency=low

  * New upstream release

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Wed, 30 Aug 2006 11:23:46 +0200

soap-lite (0.68-1) unstable; urgency=low

  * New upstream release
  * debian/compat:
   + increased to 5
  * debian/control:
   + Standards-Version: increased to 3.7.2.1 without changes

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Fri,  7 Jul 2006 13:49:09 +0200

soap-lite (0.67-1) unstable; urgency=low

  * New upstream release (closes: #349159)

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Sat, 28 Jan 2006 23:36:15 +0100

soap-lite (0.66.1-1) unstable; urgency=low

  * New upstream release

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Thu, 19 Jan 2006 16:02:50 +0100

soap-lite (0.66-2) unstable; urgency=low

  * Fix the scripts in bin/ at build-time rather than statically, to
    make sure they stay up to date. (Closes: #345318)
    + remove .pl extensions
    + fix the shebang lines to /usr/bin/perl
    + change any references to the script name inside the script too
  * New version of stubmaker includes a manual page; removed symlink
    to undocumented(7). (Closes: #280504)
  * Don't ignore the return value of 'make distclean'.
  * Conflict with libsoap-perl (which has been removed after sarge)
    because both include a Soap::Packager module. (Closes: #345385)
  * Add myself to Uploaders.
  * Move debhelper from Build-Depends-Indep to Build-Depends, as per policy.
  * Remove the execute bit from two MS-DOS batch files in examples.
  * Remove the feature list from the package description, since it was
    still rendering incorrectly and was much too long in the first place.
  * Run 'make test' at build time.

 -- Niko Tyni <ntyni@iki.fi>  Sat, 31 Dec 2005 15:34:34 +0200

soap-lite (0.66-1) unstable; urgency=low

  * New upstream release (closes: #344737)
  * debian/control:
    - Build-Depends-Indep & Depends updated 
    - Standards-Version bumped to 3.6.2
    - Fixed long description (closes: #323497)

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Sun, 25 Dec 2005 19:07:30 +0100

soap-lite (0.60-2) unstable; urgency=low

  * XMLRPCsh: Removed .pl language-specific extension
  * XMLRPCsh: Changed env hashbang lines to reference /usr/bin/perl as per 
    Debian Perl Policy
  * SOAPsh: Removed .pl language-specific extension
  * SOAPsh: Changed env hashbang lines to reference /usr/bin/perl as per 
    Debian Perl Policy
  * stubmaker: Removed .pl language-specific extension
  * stubmaker: Changed env hashbang lines to reference /usr/bin/perl as per 
    Debian Perl Policy
  * Included examples
  * Lite.pm: Removed reference to test suite file (Closes: #178059)
  * Included synmlink to undocumented man page for stubmaker

 -- Ezra Pagel <ezra@cpan.org>  Tue,  9 Nov 2004 15:48:53 -0600
  
soap-lite (0.60-1) unstable; urgency=low

  * Upgraded to new release 0.60; New maintainer.

 -- Ezra Pagel <ezra@cpan.org>  Sun,  7 Nov 2004 22:20:46 -0600

soap-lite (0.55-4) unstable; urgency=low

  * New maintainer.

 -- Stephen Zander <gibreel@debian.org>  Mon, 30 Sep 2002 16:15:48 -0700

soap-lite (0.55-3) unstable; urgency=low

  * debian/control: Remove libcrypt-ssleay-perl from Build-Depends and
    Suggests as this package is still in non-US. (Closes: #162260)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 25 Sep 2002 06:41:15 -0500

soap-lite (0.55-2) unstable; urgency=low

  * debian/control: Added Suggests: libcrypt-ssleay-perl (Closes: #150300)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 18 Jun 2002 21:41:33 -0500

soap-lite (0.55-1) unstable; urgency=high

  * Upgraded new upstream release with, among others, a fix for a security
    vulnerability with fully qualified method names (Closes: #142078)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 18 Apr 2002 20:43:50 -0500

soap-lite (0.52-3) unstable; urgency=low

  * debian/rules: Don't call dh_installmanpages; it is a) not needed as
    'make install' does its work and b) erroneously drops the man pages
    for SOAPsh.pl and XMLRPCsh.pl in man/pl/man1 (Closes: #137816)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 11 Mar 2002 06:48:53 -0600

soap-lite (0.52-2) unstable; urgency=low

  * debian/control: Spelling correction (Closes: #125050)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 10 Mar 2002 21:52:27 -0600

soap-lite (0.52-1) unstable; urgency=low

  * Upgraded to new release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 22 Nov 2001 08:03:39 -0600

soap-lite (0.51-1) unstable; urgency=low

  * Upgraded to new release 0.51

 -- Dirk Eddelbuettel <edd@debian.org>  Mon,  6 Aug 2001 21:49:47 -0500

soap-lite (0.50-1) unstable; urgency=low

  * Upgraded to new release 0.50

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 26 Apr 2001 21:58:43 -0500

soap-lite (0.47-1) unstable; urgency=low

  * Initial Release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 11 Mar 2001 15:54:02 -0600
